#
# spec file for package yast2-kerberos-client (Version 2.13.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib dejagnu desktop-translations diffutils doxygen e2fsprogs expat expect file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hwinfo info insserv klogd less libacl libattr libcom_err libgcc libicu libidn libnscd libpng libstdc++ libstdc++-devel libtool libusb libxcrypt libxml2 libxml2-devel liby2util liby2util-devel libzio libzypp m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre pcre-devel perl perl-XML-Writer permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysfsutils sysvinit tar tcl tcpd texinfo timezone unzip update-desktop-files util-linux vim wireless-tools yast2 yast2-core yast2-core-devel yast2-devtools yast2-hardware-detection yast2-pam yast2-pkg-bindings yast2-testsuite zlib zlib-devel

Name:           yast2-kerberos-client
Version:        2.13.4
Release:        7.2
License:        GPL
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-kerberos-client-2.13.4.tar.bz2
prefix:		/usr
BuildRequires:  doxygen perl-XML-Writer update-desktop-files yast2 yast2-devtools yast2-pam yast2-testsuite
Requires:       yast2 yast2-pam
BuildArchitectures:	noarch
Summary:        YaST2 - Kerberos Client Configuration

%description
With this YaST2 module, you can configure a Kerberos client so that a
Kerberos server will be used for user authentication.



Authors:
--------
    Jiri Suchomel <jsuchome@suse.cz>

%debug_package
%prep
%setup -n yast2-kerberos-client-2.13.4

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
/usr/share/YaST2/clients/kerberos.ycp
/usr/share/YaST2/clients/kerberos-client.ycp
/usr/share/YaST2/clients/kerberos-client_auto.ycp
/usr/share/YaST2/modules/Kerberos.ycp
/usr/share/YaST2/modules/Kerberos.ybc
%{prefix}/share/applications/YaST2/kerberos.desktop
/usr/share/YaST2/scrconf/*.scr
%dir /usr/share/YaST2/include/kerberos-client
/usr/share/YaST2/include/kerberos-client/dialogs.ycp
/usr/share/YaST2/include/kerberos-client/wizards.ycp
%doc %{prefix}/share/doc/packages/yast2-kerberos-client

%changelog -n yast2-kerberos-client
* Wed Apr 12 2006 - jsuchome@suse.cz
- fixed installing architecture-specific packages (#164313)
- 2.13.4
* Thu Mar 02 2006 - jsuchome@suse.cz
- reduced BuildRequires
- 2.13.3
* Mon Dec 19 2005 - jsuchome@suse.cz
- merged proofread texts
- revert setting of "mappings" value (not needed)
- 2.13.2
* Thu Dec 01 2005 - jsuchome@suse.cz
- support "mappings" value, necessary for samba-client config
- 2.13.1
* Thu Nov 24 2005 - jsuchome@suse.cz
- removed AFS configuration (not supported: F100215)
- added missing comments for translators
- 2.13.0
* Wed Sep 07 2005 - jsuchome@suse.cz
- allow setting the port number in KDC entry (#115451)
- 2.12.7
* Tue Sep 06 2005 - jsuchome@suse.cz
- adapted to the rename of openafs service and sysconfig file (#115335)
- 2.12.6
* Mon Aug 15 2005 - jsuchome@suse.cz
- do not set use_authok (#104051)
- 2.12.5
* Thu Jul 28 2005 - jsuchome@suse.cz
- updated desktop file
- 2.12.4
* Tue Jun 21 2005 - jsuchome@suse.cz
- fixed texts from proofreader (rwalter)
- 2.12.3
* Thu May 19 2005 - jsuchome@suse.cz
- add new default parameters (use_authtok, try_first_pass) to "pam"
  section of /etc/krb5.conf to enable chaning the passwords (#76162)
- 2.12.2
* Mon May 02 2005 - jsuchome@suse.cz
- use FileUtils library
- 2.12.1
* Tue Mar 29 2005 - jsuchome@suse.cz
- better checks for defaults
- 2.12.0
* Fri Mar 11 2005 - jsuchome@suse.cz
- new tests
* Thu Mar 03 2005 - jsuchome@suse.cz
- replace new default values in /etc/krb5.conf (#67297)
- do not write epmty values to /etc/krb5.conf
* Tue Mar 01 2005 - jsuchome@suse.cz
- use admin_server instead of kpasswd_server in /etc/krb5.conf
  (#67034)
* Mon Jan 31 2005 - jsuchome@suse.cz
- install also architecture-specific packages (#49808)
- 2.11.4
* Tue Jan 11 2005 - jsuchome@suse.cz
- switch from heimdal to MIT kerberos
- check validity of KDC adress
- 2.11.3
* Wed Jan 05 2005 - jsuchome@suse.cz
- removed last select
- switch Progress off in auto-client
- 2.11.2
* Thu Dec 16 2004 - jsuchome@suse.cz
- do not ask for 'Abort Installation' when called from users
- do not show Abort button in 'pseudo-popups'
- 2.11.1
* Wed Oct 27 2004 - jsuchome@suse.cz
- adapted for new Mode:: interface
- 2.11.0
* Mon Aug 30 2004 - jsuchome@suse.cz
- Added GetModified function to _auto client (nashif)
- 2.10.5
* Thu Aug 19 2004 - jsuchome@suse.cz
- AFS support is back
- 2.10.4
* Mon Aug 16 2004 - jsuchome@suse.cz
- 2.10.3
* Tue Aug 10 2004 - jsuchome@suse.cz
- merged proofread texts
* Wed Aug 04 2004 - jsuchome@suse.cz
- use Package instead of Require
- provide AFS texts for translation
- 2.10.2
* Mon Jun 28 2004 - jsuchome@suse.cz
- adapted to current yast2-pam behaviour
- 2.10.1
* Wed Jun 16 2004 - jsuchome@suse.cz
- updated testsuite (use Testsuite:: module, set testedfiles)
- 2.10.0
* Thu Apr 22 2004 - jsuchome@suse.cz
- fix of #39286 (configuration not saved during installation)
- 2.9.9
* Fri Apr 02 2004 - jsuchome@suse.cz
- changed license to GPL
- 2.9.8
* Tue Mar 30 2004 - jsuchome@suse.cz
- adapt to current 'continue' behaviour
- 2.9.7
* Tue Mar 30 2004 - nashif@suse.de
- #37426: Disable NTP Configuration in config mode (autoyast)
* Thu Mar 11 2004 - jsuchome@suse.cz
- set icon for wizard
- testsuite enabled again
- 2.9.6
* Wed Mar 10 2004 - jsuchome@suse.de
- disabled testsuite
- 2.9.5
* Wed Mar 10 2004 - nashif@suse.de
- adapted for new wizard
* Mon Mar 08 2004 - jsuchome@suse.cz
- used Sequencer module
- more type fixes
* Fri Mar 05 2004 - jsuchome@suse.cz
- correct type handling
- removed AFS configuration
- 2.9.4
* Mon Mar 01 2004 - jsuchome@suse.cz
- merged texts from proofread
- 2.9.3
* Wed Feb 18 2004 - jsuchome@suse.cz
- added possibility to call ShortSummary function from auto-client
* Mon Feb 09 2004 - jsuchome@suse.cz
- removed config file (y2cc)
* Fri Jan 30 2004 - jsuchome@suse.cz
- fixed testsuite
- 2.9.2
* Fri Nov 28 2003 - jsuchome@suse.cz
- syntax fixes for new interpreter
- 2.9.1
* Tue Nov 25 2003 - jsuchome@suse.cz
- added possibility to run NTP client (new button in Advanced dialog)
* Tue Nov 18 2003 - jsuchome@suse.cz
- adapted to new Network types interface
* Thu Sep 25 2003 - jsuchome@suse.cz
- changed button label in Advanced dialog: Next to Ok
- 2.9.0
* Thu Sep 11 2003 - jsuchome@suse.cz
- save value of kpasswd_server to /etc/krb5.conf (#30485)
- do not try to read from non-existent /etc/sysconfig/afs-client
* Thu Sep 11 2003 - jsuchome@suse.cz
- there is no Require::IsPackageAvailableTarget function (#30459)
- 2.8.10
* Tue Sep 09 2003 - jsuchome@suse.cz
- do not require KDC and realm entries when Kerberos is not
  enabled (#30323)
* Tue Sep 09 2003 - nashif@suse.de
- #30291: return list of required packages
* Fri Sep 05 2003 - jsuchome@suse.cz
- merged in proofread texts
- check packages correctly in autoyast config mode (#30014)
* Tue Sep 02 2003 - jsuchome@suse.cz
- fixed testsuite
* Tue Sep 02 2003 - jsuchome@suse.cz
- basic command-line interface (new texts)
- ask before restarting/stopping afs-client
- 2.8.8
* Mon Sep 01 2003 - arvin@suse.de
- used Popup::ConfirmAbort
* Fri Aug 29 2003 - jsuchome@suse.de
- updated desktop file
* Mon Aug 25 2003 - jsuchome@suse.cz
- fixed AFS support
- stop/start afs-client
* Fri Aug 22 2003 - jsuchome@suse.cz
- Add variable for required packages and return them in auto client
* Wed Aug 20 2003 - jsuchome@suse.cz
- removed redundant "initialization dialog" (#28779)
- dialogs rearanged ("client enabled" together with basic settings)
- required/optional applications are installed at the end
- added testsuite
- 2.8.6
* Mon Aug 18 2003 - jsuchome@suse.cz
- fixed agent for /etc/ssh/ssh_config ("Host" sections allowed)
* Wed Aug 13 2003 - jsuchome@suse.de
- do not ask for heimdal-tools in autoinst config (#28716)
* Wed Aug 13 2003 - jsuchome@suse.de
- dialogs redesign, new helptext
- 2.8.5
* Mon Aug 11 2003 - arvin@suse.de
- fixed requires
* Mon Aug 11 2003 - jsuchome@suse.de
- updated helptexts
* Mon Aug 11 2003 - jsuchome@suse.de
- proofread texts (1st round)
- pam_krb5, heimdal-libs checked in yast module (removed from spec file)
- 2.8.3
* Wed Aug 06 2003 - jsuchome@suse.de
- new workflow, enabled editing more settings
- AFS support
- new agents for /etc/sysconfig/afs-client, /etc/ssh/ssh_config
- 2.8.2
* Mon Aug 04 2003 - jsuchome@suse.de
- using new option for pam_unix2 (call_modules)
- added .desktop file
* Fri Jul 18 2003 - jsuchome@suse.de
- pam_krb is now set via PamSettings interface, not into /etc/pam.d/*
- 2.8.1
* Thu Jul 10 2003 - jsuchome@suse.de
- ShortSummary
- remove use_first_pass from pam files after disabling (bug #26985)
* Tue Mar 25 2003 - jsuchome@suse.de
- adapted to Require interface
- 2.8.0
* Tue Feb 18 2003 - nashif@suse.de
- replaced functions in auto client: Result -> Export
- 2.7.3
* Thu Feb 06 2003 - jsuchome@suse.de
- merged proofread texts
* Wed Jan 29 2003 - jsuchome@suse.cz
- merged proofread texts
* Fri Jan 24 2003 - jsuchome@suse.cz
- removed helps.ycp and complex.ycp
  (do not include their texts in pot file)
* Fri Jan 17 2003 - jsuchome@suse.de
- fixes: agent added to package, global keys enabled in agent
- added "required" control mode
- heimdal-lib is required package
- 2.7.2
* Mon Jan 06 2003 - jsuchome@suse.de
- splited to two dialogs: pam and klient configuration
- autoinstallation
- 2.7.1
* Tue Dec 17 2002 - jsuchome@suse.de
- proposing values for realm, kdc
- enabled domain setting
* Mon Dec 16 2002 - jsuchome@suse.de
- initial version
- moved from yast2-users module
